Package org.jfree.report.flow

## Class SinglePassReportProcessor

- java.lang.Object
- - org.jfree.report.flow.AbstractReportProcessor
  - - org.jfree.report.flow.SinglePassReportProcessor

- All Implemented Interfaces:
    `ReportProcessor`
  Direct Known Subclasses:
    `RawReportProcessor`, `XmlPrintReportProcessor`

      public abstract class SinglePassReportProcessor
      extends AbstractReportProcessor

  The abstract report processor implements a single-pass report processing schema. This is suitable for most raw exports and the streaming-liblayout export.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SinglePassReportProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract ReportTarget` | `createReportTarget​(ReportJob job)` |
    `void` | `processReport​(ReportJob job)` | Bootstraps the local report processing.

    - ### Methods inherited from class org.jfree.report.flow.AbstractReportProcessor

      `createFlowControler, createReportContext, processReportRun`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinglePassReportProcessor

          public SinglePassReportProcessor()

  - ### Method Detail

    - #### createReportTarget

          protected abstract ReportTarget createReportTarget​(ReportJob job)
                                                      throws ReportProcessingException

      Throws:
        `ReportProcessingException`

    - #### processReport

          public void processReport​(ReportJob job)
                             throws ReportDataFactoryException,
                                    DataSourceException,
                                    ReportProcessingException

      Bootstraps the local report processing. This way of executing the report must be supported by *all* report processor implementations. It should fully process the complete report.
      Parameters:
        `job` -
      Throws:
        `ReportDataFactoryException`
        `DataSourceException`
        `ReportProcessingException`